#include <bits/stdc++.h>
using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);
    
 	int t;
 	cin>>t;
 	
 	int n[t];
 	int m[t];
 	int k[t];
 	
 	int x;
 	int rez[t];
 	
 	for(int i=0; i<t;i++){
 		cin>>n[i]>>m[i]>>k[i];
		if(k[i]>n[i])
		{
			rez[i]=0;
		}
		else
		{
			if(m[i]>=n[i]*(n[i]+1)/2) rez[i]=1;
 		else if(m[i]==n[i]) 
		 {
		 	if(n[i]==k[i]) rez[i]=1;
		 	else rez[i]=0;
  		} 
		 else if(m[i]<n[i]) rez[i]=0;
		 else
		 {
		 	x=(-1+sqrt(1+8*m[i]))/2;
		 	if(k[i]*x>n[i]) rez[i]=1;
		 	else rez[0];
		 }
		}
 		
	 }
	 
	 for(int i=0; i<t;i++)
	 {
	 	if(rez[i]==1) cout<<"Tak"<<endl;
	 	else cout<<"Nie"<<endl  ;
	 }
	
	return 0;
}